Bug 398901 - regressions in post-F8 rawhide gnome-keyboard-properties
regressions in post-F8 rawhide gnome-keyboard-properties
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-25 18:52 EST by Alexandre Oliva
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-07 20:59:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2007-11-25 18:52:26 EST
Description of problem:
I have set up US-international and BR-ABNT2 keyboard layouts, but I use
US-international with a Generic 105-key keyboard by default.  Caps Lock is
configured as an additional Ctrl.  Both Alt keys are supposed to switch between
layouts, and the Caps Lock led is supposed to indicate the alternate layout is

After F8, my rawhide-tracking box has severely regressed in these regards.  Now
some regressions are fixed, but some still remain.  The Alt keys don't switch
between layouts any more, Caps Lock doesn't indicate which layout is active any
more, and even though Caps Lock does work as an additional Ctrl key, it still
toggles the Caps Lock led, without effect on keyboard input.

Also, I can't select which is the default layout in the Keyboard Preferences ->
Layouts screen any more.  I can move one layout before the other, but the
Default selector doesn't work at all.

Version-Release number of selected component (if applicable):
Comment 1 Alexandre Oliva 2008-04-05 03:24:44 EDT
Caps lock works as control, but it still toggles the caps lock keyboard led,
which it shouldn't do if it's just another Ctrl.

Changing the keyboard repeat rate doesn't seem to have any effect.

The keystroke to switch layouts still doesn't work.
Comment 2 Matthias Clasen 2008-04-05 11:26:39 EDT
These are almost certainly not control-center issues, but problems in the
underlying X layers. Moving to a better component for further triage.
Comment 3 Matěj Cepl 2008-04-07 12:07:34 EDT
Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Bug Zapper 2008-05-13 23:59:41 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 5 Brennan Ashton 2008-06-07 20:59:12 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


Note You need to log in before you can comment on or make changes to this bug.